Uploaded image for project: 'Kafka'
  1. Kafka
  2. KAFKA-1870

Cannot commit with simpleConsumer on Zookeeper only with Java API

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 0.8.2.0
    • Fix Version/s: 0.8.2.0
    • Component/s: consumer
    • Labels:
      None

      Description

      From Kafka 0.8.2, we need to pass version 0 in the OffsetCommitRequest if we want to commit only on zookeeper.

      However the Java API doesnt allow to pass the version in parameter.

      Can you please add the version in the constructor of kafka.javaapi.OffsetCommitRequest ?

        Attachments

        1. kafka-1870_2015-01-16_12:08:05.patch
          5 kB
          Jun Rao
        2. kafka-1870.patch
          2 kB
          Jun Rao
        3. OffsetCommitRequest.diff
          0.9 kB
          Thomas Vandevelde

          Activity

            People

            • Assignee:
              junrao Jun Rao
              Reporter:
              tomvdv Thomas Vandevelde
              Reviewer:
              Joel Koshy
            • Votes:
              0 Vote for this issue
              Watchers:
              6 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved:

                Time Tracking

                Estimated:
                Original Estimate - 1h
                1h
                Remaining:
                Remaining Estimate - 1h
                1h
                Logged:
                Time Spent - Not Specified
                Not Specified